Update time settings
curl --request PUT \
--url https://app.tarefy.com/nodeapi/v2/time-clock/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"geofence_enabled": true,
"geofence_block_outside_radius": true,
"geofence_latitude": 123,
"geofence_longitude": 123,
"geofence_radius_meters": 123,
"geofence_address": "<string>",
"presential_weekdays": [
1,
2,
3,
4,
5
]
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/time-clock/settings"
payload = {
"geofence_enabled": True,
"geofence_block_outside_radius": True,
"geofence_latitude": 123,
"geofence_longitude": 123,
"geofence_radius_meters": 123,
"geofence_address": "<string>",
"presential_weekdays": [1, 2, 3, 4, 5]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
geofence_enabled: true,
geofence_block_outside_radius: true,
geofence_latitude: 123,
geofence_longitude: 123,
geofence_radius_meters: 123,
geofence_address: '<string>',
presential_weekdays: [1, 2, 3, 4, 5]
})
};
fetch('https://app.tarefy.com/nodeapi/v2/time-clock/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Time Clock
Update time settings
PUT
/
v2
/
time-clock
/
settings
Update time settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Exige GPS ativo e permissão de localização para bater ponto.
Em dia presencial, batidas fora do raio entram no fluxo de confirmação antes de criar o registro.
Dias presenciais padrão da empresa em formato ISO, onde 1=segunda e 7=domingo.
Required range:
1 <= x <= 7Example:
[1, 2, 3, 4, 5]
Response
200 - application/json
Configurações atualizadas com sucesso
The response is of type object.
⌘I

